Bug 1074624 - Kernel drivers lose console font settings
Summary: Kernel drivers lose console font settings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1078893
TreeView+ depends on / blocked
 
Reported: 2014-03-10 16:39 UTC by Marko Myllynen
Modified: 2014-12-18 12:48 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1078893 (view as bug list)
Environment:
Last Closed: 2014-12-11 08:39:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Marko Myllynen 2014-03-10 16:39:30 UTC
Description of problem:
After changing all instances of "latarcyrheb-sun16" to "LatArCyrHeb-16" in /boot/grub2/grub.cfg, /etc/default/grub, and /etc/vconsole.conf and running dracut -f and rebooting, latarcyrheb-sun16 is still in use. After running "setfont LatArCyrHeb-16" or /usr/lib/systemd/systemd-vconsole-setup then LatArCyrHeb-16 is taken into use. Using or not the vconsole.font boot parameter makes no difference.

I'm aware there are quite a few BZs about this but given their status perhaps a new report is warranted.

https://bugzilla.redhat.com/show_bug.cgi?id=892340 - CLOSED ERRATA
https://bugzilla.redhat.com/show_bug.cgi?id=983758 - CLOSED DUPLICATE
https://bugzilla.redhat.com/show_bug.cgi?id=1001411 - CLOSED INSUFFICIENT_DATA
https://bugzilla.redhat.com/show_bug.cgi?id=1074113 - NEW, about the same issue but looks perhaps partly being a configuration issue

Version-Release number of selected component (if applicable):
kernel-3.13.5-202.fc20
systemd-208-15.fc20

Comment 1 Marko Myllynen 2014-03-11 09:27:17 UTC
FWIW, this is on F20 KVM/Libvirt guest on RHEL 6 host. Steps to reproduce:

1) Install F20
2) Apply all updates and reboot
3) Remove rhgb from /boot/grub2/grub.cfg and /etc/default/grub
4) Change "latarcyrheb-sun16" to "LatArCyrHeb-16" in /boot/grub2/grub.cfg, /etc/default/grub, and /etc/vconsole.conf
5) dracut -f /boot/initramfs-`uname -r`.img `uname -r`
6) Reboot and notice how latarcyrheb-sun16 is used instead of LatArCyrHeb-16 during boot-up or after switching to console

Comment 2 Marcos Mello 2014-03-11 18:47:15 UTC
Did you tested with "nomodeset"? Or blacklisting your kms driver?

I can reproduce exactly the same way (but with radeon driver) as Kay posted:

https://bugzilla.redhat.com/show_bug.cgi?id=892340#c9

kernel-3.13.6-200.fc20.x86_64
AMD 880G

Comment 3 Marko Myllynen 2014-03-12 08:56:08 UTC
CC'ing airlied since this looks a like driver issue after all.

(In reply to Marcos Mello from comment #2)
> Did you tested with "nomodeset"? Or blacklisting your kms driver?

I didn't before since in bug 892340#c13 Kay mentioned it works ok in qemu.

But this is what I see today with F20 + updates:

cirrus +   modeset : fail
cirrus + nomodeset : good
qxl    +   modeset : fail
qxl    + nomodeset : good

Thanks.

Comment 4 Justin M. Forbes 2014-05-21 19:38:02 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 5 Marko Myllynen 2014-05-22 07:34:22 UTC
3.14.4-200.fc20 does not solve this issue.

Comment 6 Mark Rosenstand 2014-10-22 18:57:14 UTC
I recently had to use Debian and noticed their console font looked nice. Tried to copy it to another (freshly installed) Fedora machine. setfont works nicely, but I cannot get vconsole to apply it for all (or any...) consoles upon boot.

The Debian system I used had a 3.16.3 kernel. Both machines are ThinkPads with Intel graphics. /sys/module/i915/parameters/modeset is -1. Maybe they just work around the problem.

Comment 7 Justin M. Forbes 2014-11-13 15:56:57 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 8 Marko Myllynen 2014-11-14 08:21:33 UTC
3.17.2-300.fc21 does not solve this issue.

Comment 10 Zbigniew Jędrzejewski-Szmek 2014-11-16 23:39:51 UTC
(In reply to Marcos Mello from comment #9)
> http://cgit.freedesktop.org/systemd/systemd/commit/
> ?id=f6ba8671d83f9fce9a00045d8fa399a1c07ba7fc
Good catch. We should backport this patch.

Comment 11 Marko Myllynen 2014-11-17 10:30:30 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #10)
> (In reply to Marcos Mello from comment #9)
> > http://cgit.freedesktop.org/systemd/systemd/commit/
> > ?id=f6ba8671d83f9fce9a00045d8fa399a1c07ba7fc
> Good catch. We should backport this patch.

Thanks, confirmed, with this in place the correct font is taken into use during boot, not sure is it worth the effort to fix the drivers any more.


Note You need to log in before you can comment on or make changes to this bug.